> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprosperapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Receive Ehr Event Step



## OpenAPI

````yaml https://voice.getprosperapp.com/openapi.json post /api/v1/campaigns/{campaign_id}/ehr-event/{friendly_id}
openapi: 3.1.0
info:
  title: Prosper Voice
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/campaigns/{campaign_id}/ehr-event/{friendly_id}:
    post:
      tags:
        - Campaigns
      summary: Receive Ehr Event Step
      operationId: >-
        receive_ehr_event_step_api_v1_campaigns__campaign_id__ehr_event__friendly_id__post
      parameters:
        - name: campaign_id
          in: path
          required: true
          schema:
            type: string
            description: The ID of the campaign.
            title: Campaign Id
          description: The ID of the campaign.
        - name: friendly_id
          in: path
          required: true
          schema:
            type: string
            description: The friendly ID of the step.
            title: Friendly Id
          description: The friendly ID of the step.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Body_receive_ehr_event_step_api_v1_campaigns__campaign_id__ehr_event__friendly_id__post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_receive_ehr_event_step_api_v1_campaigns__campaign_id__ehr_event__friendly_id__post:
      properties:
        event_type:
          $ref: '#/components/schemas/EHREventType'
          description: The type of EHR event.
        event_data:
          additionalProperties: true
          type: object
          title: Event Data
        target_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Target Id
          description: Optional target ID.
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
          description: Optional external ID.
      type: object
      required:
        - event_type
      title: >-
        Body_receive_ehr_event_step_api_v1_campaigns__campaign_id__ehr_event__friendly_id__post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EHREventType:
      type: string
      enum:
        - appointment_created
        - appointment_cancelled
        - patient_registered
      title: EHREventType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````